Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
load_arg Struct Reference

## Data Fields
VALUE | src
char * | buf
long | buflen
long | readable
long | offset
st_table * | symbols
st_table * | data
VALUE | proc
st_table * | compat_tbl

## Detailed Description

Definition at line 1101 of file marshal.c.

## Field Documentation

## ◆ buf

char* load_arg::buf

Definition at line 1103 of file marshal.c.

## ◆ buflen

long load_arg::buflen

Definition at line 1104 of file marshal.c.

## ◆ compat_tbl

st_table* load_arg::compat_tbl

Definition at line 1110 of file marshal.c.

## ◆ data

st_table* load_arg::data

Definition at line 1108 of file marshal.c.

## ◆ offset

long load_arg::offset

Definition at line 1106 of file marshal.c.

## ◆ proc

VALUE load_arg::proc

Definition at line 1109 of file marshal.c.

## ◆ readable

long load_arg::readable

Definition at line 1105 of file marshal.c.

## ◆ src

VALUE load_arg::src

Definition at line 1102 of file marshal.c.

## ◆ symbols

st_table* load_arg::symbols

Definition at line 1107 of file marshal.c.

The documentation for this struct was generated from the following file:

- marshal.c